Package com.smartgwt.client.types

# Enum RESTResponseFormat

java.lang.Object
java.lang.Enum<RESTResponseFormat>
com.smartgwt.client.types.RESTResponseFormat

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<RESTResponseFormat>`, `Constable`

public enum RESTResponseFormat extends Enum<RESTResponseFormat> implements ValueEnum
Indicates the response format to be used for a REST operation. Is only applicable to `RestConnector DataSources`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CSV`
  Indicates that the the REST service response is in delimited text format in the body of the HTTP response.
  `JSON`
  Indicates that the REST service response is a valid JSON message.
  `TEXT`
  Indicates that REST service response is to be treated simply as a piece of text, with no parsing or other processing attempted.
  `XML`
  Indicates that the REST service response is an XML message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static RESTResponseFormat`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static RESTResponseFormat[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### JSON

    public static final RESTResponseFormat JSON
    Indicates that the REST service response is a valid JSON message. We will parse the response text as JSON, and the resulting object structure can be further processed with `XPaths`, `templates` and `scripting`

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "json".

  - ### XML

    public static final RESTResponseFormat XML
    Indicates that the REST service response is an XML message. We will parse the response text as XML, and the resulting object structure can be further processed with XPaths, templates and scripting

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "xml".

  - ### CSV

    public static final RESTResponseFormat CSV
    Indicates that the the REST service response is in delimited text format in the body of the HTTP response. We will parse the response text as delimited flat text data, and the resulting object structure can be further processed with scripting. Note, we do not support XPaths because they do not make sense with flat data, and we also do not support templating of CSV responses. Record-level and field-level transformation scripts, however, are applicable, and field `nativeName`s are honored if the CSV text includes a header row

    `RestConnector` only supports a couple options for CSV-based REST services - see `DataSource.csvDelimiter` and `DataSource.csvQuoteCharacter`

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "csv".

  - ### TEXT

    public static final RESTResponseFormat TEXT
    Indicates that REST service response is to be treated simply as a piece of text, with no parsing or other processing attempted. Use this format for services that return simple strings or messages in some non-standard format; you can provide your own parsing logic in a `transformResponseScript`

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "text".

- ## Method Details

  - ### values

    public static RESTResponseFormat[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static RESTResponseFormat valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`